## NAME

r.quant - This routine produces the quantization file for a floating-point map.
(GRASS 5 Raster Program)

## SYNOPSIS

r.quant

r.quant [-tr] input=name[,name...] [basemap=map] [fprange=dmin,dmax] [range=min,max]

## DESCRIPTION

r.quant produces the quantization file for a floating-point map.

map=name The map for which the rules be to be created. If more than one map is specified, then this implies that the floating-point range is the miniumum and maximum of all the maps together, unless either basemap=map or fprange=min,max is specified.
basemap=map The quant rules of this map set the quantization.
fprange=min,max This sets the floating-point range for the quantization.
-t flag Truncate floating point data
-r flag Round floating point data
range=min,max This sets the integer range for the quantization. Otherwise a default of 1-255 is used.

## Quant rules

The quant rules have to be entered interactively.

If rules is specified, the input has the form:

value1:value2:cat1:[cat2]

where value1 and value2 are floating point values and cat1 cand cat2 are integers. If cat2 is missing, it is taken to be equal to cat1. All values can be "*" which means infinity.

## NOTE

It is an error for both basemap and fprange to be specified.

## SEE ALSO

r.support and r.null

## AUTHOR

Michael Shapiro, Olga Waupotitcsh, U.S.Army Construction Engineering Research Laboratory

Last changed: $Date: 2002/01/25 05:45:34 $